## com.fasterxml.jackson.databind.ser.std
Class StdContainerSerializers

    java.lang.Object
      com.fasterxml.jackson.databind.ser.std.StdContainerSerializers

    public class StdContainerSerializers

extends Object

Dummy container class to group standard container serializers: serializers that can serialize things like `List`s, `Map`s and such.

Constructor Summary
`protected` `StdContainerSerializers()`

Method Summary
`static ContainerSerializer<?>` `collectionSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)` Deprecated. Since 2.1; use variant that does not take 'property' argument
`static ContainerSerializer<?>` `collectionSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, JsonSerializer<Object> valueSerializer)`
`static JsonSerializer<?>` `enumSetSerializer(JavaType enumType)`
`static ContainerSerializer<?>` `indexedListSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)` Deprecated. Since 2.1; use variant that does not take 'property' argument
`static ContainerSerializer<?>` `indexedListSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, JsonSerializer<Object> valueSerializer)`
`static ContainerSerializer<?>` `iterableSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts)`
`static ContainerSerializer<?>` `iteratorSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdContainerSerializers

    protected StdContainerSerializers()

Method Detail

### indexedListSerializer

    public static ContainerSerializer<?> indexedListSerializer(JavaType elemType,
                                                               boolean staticTyping,
                                                               TypeSerializer vts,
                                                               JsonSerializer<Object> valueSerializer)

  Since:
    2.1

### collectionSerializer

    public static ContainerSerializer<?> collectionSerializer(JavaType elemType,
                                                              boolean staticTyping,
                                                              TypeSerializer vts,
                                                              JsonSerializer<Object> valueSerializer)

  Since:
    2.1

### iteratorSerializer

    public static ContainerSerializer<?> iteratorSerializer(JavaType elemType,
                                                            boolean staticTyping,
                                                            TypeSerializer vts)

### iterableSerializer

    public static ContainerSerializer<?> iterableSerializer(JavaType elemType,
                                                            boolean staticTyping,
                                                            TypeSerializer vts)

### enumSetSerializer

    public static JsonSerializer<?> enumSetSerializer(JavaType enumType)

### indexedListSerializer

    @Deprecated
    public static ContainerSerializer<?> indexedListSerializer(JavaType elemType,
                                                                          boolean staticTyping,
                                                                          TypeSerializer vts,
                                                                          BeanProperty property,
                                                                          JsonSerializer<Object> valueSerializer)

  Deprecated. Since 2.1; use variant that does not take 'property' argument

### collectionSerializer

    @Deprecated
    public static ContainerSerializer<?> collectionSerializer(JavaType elemType,
                                                                         boolean staticTyping,
                                                                         TypeSerializer vts,
                                                                         BeanProperty property,
                                                                         JsonSerializer<Object> valueSerializer)

  Deprecated. Since 2.1; use variant that does not take 'property' argument

Copyright © 2012 FasterXML. All Rights Reserved.